#
# spec file for package obs-service-format_spec_file
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           obs-service-format_spec_file
License:        GPL v2 or later
Group:          Development/Tools/Building
Summary:        An OBS source service: reformats a spec file to SUSE standard.
Version:        0.1
Release:        8.8.1
Source:         format_spec_file
Source1:        format_spec_file.service
Source2:        prepare_spec
Requires:       osc-source_validator
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

This source service is formating the spec file to SUSE standard. The rational
behind is to make it easier to review spec files from unknown packagers.

This should be used in "trylocal" mode, so that osc is adapting the existing
spec file instead of creating a new one.

%prep

%setup -q -D -T 0 -n .

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/obs/service/format_spec_file.files
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/obs/service/format_spec_file.files

%files
%defattr(-,root,root)
%dir /usr/lib/obs
/usr/lib/obs/service

%changelog
* Mon Jul  4 2011 ro@suse.de
- fix empty line handling (multiple subsequent empty lines)
* Mon Jul  4 2011 ro@suse.de
- leave Version lines intact (fix issue with multiple version
  lines in a package, for example in if-constructs)
* Fri Jun 17 2011 coolo@novell.com
- do not replace licenses without knowing them (not sure this
  is necessary at all)
* Tue May 31 2011 adrian@suse.de
- do not fail on kiwi packages
* Wed May 25 2011 adrian@suse.de
- do not generate new spec files when no changes happened
* Wed May 25 2011 ro@suse.de
- fix uninitialized warning in prepare_spec
* Wed May  4 2011 ro@suse.de
- cleanup prepare_spec, drop Needed.pm
- make it ready for public usage
* Wed Jan 26 2011 adrian@suse.de
- initial version.
  not usable outside of SUSE network yet.
